
<div align="center">

![](/assets/gocure_500.png "gocure")

<br>
<img src="https://img.shields.io/badge/go-%2300ADD8.svg?style=for-the-badge&logo=go&logoColor=white">
<img src="https://img.shields.io/badge/html5-%23E34F26.svg?style=for-the-badge&logo=html5&logoColor=white">
<img src="https://img.shields.io/badge/css3-%231572B6.svg?style=for-the-badge&logo=css3&logoColor=white">
<img src="https://img.shields.io/badge/javascript-%23323330.svg?style=for-the-badge&logo=javascript&logoColor=%23F7DF1E">
<img src="https://img.shields.io/badge/php-%23777BB4.svg?style=for-the-badge&logo=php&logoColor=white">
<br><br>
<a href="#"><img src="https://img.shields.io/badge/build-passing-green"></a>
<a href="https://paypal.me/kaj.fehlhaber"><img src="https://img.shields.io/badge/donate-PayPal-blue"></a>
</div>

&nbsp;
&nbsp;
&nbsp;

Gocure is a library written in pure Go providing the possibility to generate beautiful html reports and it is also possible to embed any file in your Cucumber json reports. This can be done importing in a go project, executing a binary, calling a REST API or in a frontend using our docker container.

This library can also help users of other languages, because using our docker image, you can call an API and use our Frontend to embed files for cucumber reports or to generate beautiful HTML reports.

&nbsp;
&nbsp;
&nbsp;

### [Full documentation](https://kaj.fehlhaber.gitlab.io/gocure/)

&nbsp;
&nbsp;
&nbsp;

### [MIT License](/LICENSE)

&nbsp;
&nbsp;
&nbsp;

### GOCURE It´s a Third-Party Official Tools of Cucumber

![Cucumber Website](https://res.cloudinary.com/odhin/image/upload/v1648635100/projects/gocure/cucumber_website_pxdu8d.png)